### Method

# FwupdPlugin Firmware get_image_by_id

#### Declaration [src]

    FuFirmware*
    fu_firmware_get_image_by_id (
      FuFirmware* self,
      const gchar* id,
      GError** error
    )

#### Description [src]

Gets the firmware image using the image ID.

Available since: | 1.3.1

#### Parameters

`id` | `const gchar*`
| Image ID, e.g. `config` or `*.mfg|*.elf`
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `FuFirmware`
| A `FuFirmware`, or `NULL` if the image is not found.
| The caller of the method takes ownership of the data, and is responsible for freeing it.